#ifndef FUNCTOR_H_
#define FUNCTOR_H_ 1

struct functor;

struct functor_ops
{
	int (*func)(struct functor *);
};

struct functor
{
	const struct functor_ops *ops;
	int (*cleanup)(struct functor *);
};

static inline int
functor_cleanup(struct functor *ft)
{
	return ft->cleanup(ft);
}

static inline int
functor_call(struct functor *ft)
{
	return ft->ops->func(ft);
}

#endif
