#ifndef INDIVIDUAL_H_
#define INDIVIDUAL_H_ 1

#include <ga/genotype.h>
#include <ga/phenotype.h>

struct individual
{
	struct genotype *genotype;
	struct phenotype *phenotype;
};

int individual_init(struct individual *ind, struct genotype *gt);
int individual_init_clone(struct individual *ind, const struct genotype *gt);
int individual_cleanup(struct individual *ind);

#endif
